com.genesyslab.wfm7.API.service.config761

## Class CfgReportTaskFilter

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgReportTaskFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportTaskFilter
      extends java.lang.Object
      implements java.io.Serializable

  Defines a filter in the request for Report Task information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `allUsers` Specifies whether return all report tasks no matter what user created them or only reports created by current user.
    `private int[]` | `wmReportTaskId` An array of `CfgReportTask` identifiers to filter by.
    `private int` | `wmReportTaskIdNSizeIs` Number of elements in the wmReportTaskId array
    `private int[]` | `wmReportType` Defines report type 'OR' logic filter
    `private int` | `wmReportTypeNSizeIs` Number of elements in the wmReportType array
    `private int[]` | `wmStatus` Defines `ECfgReportTaskStatus` 'OR' logic filter
    `private int` | `wmStatusNSizeIs` Number of elements in the wmStatus array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportTaskFilter()`
    `CfgReportTaskFilter(int wmReportTaskIdNSizeIs, int[] wmReportTaskId, int wmReportTypeNSizeIs, int[] wmReportType, int wmStatusNSizeIs, int[] wmStatus, boolean allUsers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getWmReportTaskId()` Gets the wmReportTaskId value for this CfgReportTaskFilter.
    `int` | `getWmReportTaskIdNSizeIs()` Gets the wmReportTaskIdNSizeIs value for this CfgReportTaskFilter.
    `int[]` | `getWmReportType()` Gets the wmReportType value for this CfgReportTaskFilter.
    `int` | `getWmReportTypeNSizeIs()` Gets the wmReportTypeNSizeIs value for this CfgReportTaskFilter.
    `int[]` | `getWmStatus()` Gets the wmStatus value for this CfgReportTaskFilter.
    `int` | `getWmStatusNSizeIs()` Gets the wmStatusNSizeIs value for this CfgReportTaskFilter.
    `boolean` | `isAllUsers()` Gets the allUsers value for this CfgReportTaskFilter.
    `void` | `setAllUsers(boolean allUsers)` Sets the allUsers value for this CfgReportTaskFilter.
    `void` | `setWmReportTaskId(int[] wmReportTaskId)` Sets the wmReportTaskId value for this CfgReportTaskFilter.
    `void` | `setWmReportTaskIdNSizeIs(int wmReportTaskIdNSizeIs)` Sets the wmReportTaskIdNSizeIs value for this CfgReportTaskFilter.
    `void` | `setWmReportType(int[] wmReportType)` Sets the wmReportType value for this CfgReportTaskFilter.
    `void` | `setWmReportTypeNSizeIs(int wmReportTypeNSizeIs)` Sets the wmReportTypeNSizeIs value for this CfgReportTaskFilter.
    `void` | `setWmStatus(int[] wmStatus)` Sets the wmStatus value for this CfgReportTaskFilter.
    `void` | `setWmStatusNSizeIs(int wmStatusNSizeIs)` Sets the wmStatusNSizeIs value for this CfgReportTaskFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmReportTaskIdNSizeIs

          private int wmReportTaskIdNSizeIs

      Number of elements in the wmReportTaskId array

    - #### wmReportTaskId

          private int[] wmReportTaskId

      An array of `CfgReportTask` identifiers to filter by.

    - #### wmReportTypeNSizeIs

          private int wmReportTypeNSizeIs

      Number of elements in the wmReportType array

    - #### wmReportType

          private int[] wmReportType

      Defines report type 'OR' logic filter

    - #### wmStatusNSizeIs

          private int wmStatusNSizeIs

      Number of elements in the wmStatus array

    - #### wmStatus

          private int[] wmStatus

      Defines `ECfgReportTaskStatus` 'OR' logic filter

    - #### allUsers

          private boolean allUsers

      Specifies whether return all report tasks no matter what user created them or only reports created by current user.

  - ### Constructor Detail

    - #### CfgReportTaskFilter

          public CfgReportTaskFilter()

    - #### CfgReportTaskFilter

          public CfgReportTaskFilter(int wmReportTaskIdNSizeIs,
                             int[] wmReportTaskId,
                             int wmReportTypeNSizeIs,
                             int[] wmReportType,
                             int wmStatusNSizeIs,
                             int[] wmStatus,
                             boolean allUsers)

  - ### Method Detail

    - #### getWmReportTaskIdNSizeIs

          public int getWmReportTaskIdNSizeIs()

      Gets the wmReportTaskIdNSizeIs value for this CfgReportTaskFilter.
      Returns:
        wmReportTaskIdNSizeIs

    - #### setWmReportTaskIdNSizeIs

          public void setWmReportTaskIdNSizeIs(int wmReportTaskIdNSizeIs)

      Sets the wmReportTaskIdNSizeIs value for this CfgReportTaskFilter.
      Parameters:
        `wmReportTaskIdNSizeIs` -

    - #### getWmReportTaskId

          public int[] getWmReportTaskId()

      Gets the wmReportTaskId value for this CfgReportTaskFilter.
      Returns:
        wmReportTaskId

    - #### setWmReportTaskId

          public void setWmReportTaskId(int[] wmReportTaskId)

      Sets the wmReportTaskId value for this CfgReportTaskFilter.
      Parameters:
        `wmReportTaskId` -

    - #### getWmReportTypeNSizeIs

          public int getWmReportTypeNSizeIs()

      Gets the wmReportTypeNSizeIs value for this CfgReportTaskFilter.
      Returns:
        wmReportTypeNSizeIs

    - #### setWmReportTypeNSizeIs

          public void setWmReportTypeNSizeIs(int wmReportTypeNSizeIs)

      Sets the wmReportTypeNSizeIs value for this CfgReportTaskFilter.
      Parameters:
        `wmReportTypeNSizeIs` -

    - #### getWmReportType

          public int[] getWmReportType()

      Gets the wmReportType value for this CfgReportTaskFilter.
      Returns:
        wmReportType

    - #### setWmReportType

          public void setWmReportType(int[] wmReportType)

      Sets the wmReportType value for this CfgReportTaskFilter.
      Parameters:
        `wmReportType` -

    - #### getWmStatusNSizeIs

          public int getWmStatusNSizeIs()

      Gets the wmStatusNSizeIs value for this CfgReportTaskFilter.
      Returns:
        wmStatusNSizeIs

    - #### setWmStatusNSizeIs

          public void setWmStatusNSizeIs(int wmStatusNSizeIs)

      Sets the wmStatusNSizeIs value for this CfgReportTaskFilter.
      Parameters:
        `wmStatusNSizeIs` -

    - #### getWmStatus

          public int[] getWmStatus()

      Gets the wmStatus value for this CfgReportTaskFilter.
      Returns:
        wmStatus

    - #### setWmStatus

          public void setWmStatus(int[] wmStatus)

      Sets the wmStatus value for this CfgReportTaskFilter.
      Parameters:
        `wmStatus` -

    - #### isAllUsers

          public boolean isAllUsers()

      Gets the allUsers value for this CfgReportTaskFilter.
      Returns:
        allUsers

    - #### setAllUsers

          public void setAllUsers(boolean allUsers)

      Sets the allUsers value for this CfgReportTaskFilter.
      Parameters:
        `allUsers` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.